package domain


type AlibabaWdkSkuScrollQueryApiScrollPageResult struct {
    /*
        商品商量总页数：分页大小20     */
    PageCount  *int64 `json:"page_count,omitempty" `

    /*
        商品总数     */
    Total  *int64 `json:"total,omitempty" `

    /*
        是否调用成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        异常信息编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        异常信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        分页大小     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        返回的结果集     */
    ModelList  *[]AlibabaWdkSkuScrollQueryModelList `json:"model_list,omitempty" `

    /*
        游标：作为下一次请求数据的参数     */
    ScrollId  *string `json:"scroll_id,omitempty" `

}

func (s *AlibabaWdkSkuScrollQueryApiScrollPageResult) SetPageCount(v int64) *AlibabaWdkSkuScrollQueryApiScrollPageResult {
    s.PageCount = &v
    return s
}
func (s *AlibabaWdkSkuScrollQueryApiScrollPageResult) SetTotal(v int64) *AlibabaWdkSkuScrollQueryApiScrollPageResult {
    s.Total = &v
    return s
}
func (s *AlibabaWdkSkuScrollQueryApiScrollPageResult) SetSuccess(v bool) *AlibabaWdkSkuScrollQueryApiScrollPageResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuScrollQueryApiScrollPageResult) SetErrCode(v string) *AlibabaWdkSkuScrollQueryApiScrollPageResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuScrollQueryApiScrollPageResult) SetErrMsg(v string) *AlibabaWdkSkuScrollQueryApiScrollPageResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuScrollQueryApiScrollPageResult) SetPageSize(v int64) *AlibabaWdkSkuScrollQueryApiScrollPageResult {
    s.PageSize = &v
    return s
}
func (s *AlibabaWdkSkuScrollQueryApiScrollPageResult) SetModelList(v []AlibabaWdkSkuScrollQueryModelList) *AlibabaWdkSkuScrollQueryApiScrollPageResult {
    s.ModelList = &v
    return s
}
func (s *AlibabaWdkSkuScrollQueryApiScrollPageResult) SetScrollId(v string) *AlibabaWdkSkuScrollQueryApiScrollPageResult {
    s.ScrollId = &v
    return s
}
